//Trim
textures/taumafort_trim/metal029
{
	qer_editorimage textures/taumafort_other/metal029.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull none

	{	//GLASS BORDER
		map textures/taumafort_other/metal029.tga
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		rgbGen identity
		rgbGen const ( 1.0 1.0 1.0 )
		depthwrite
	}

	{	//LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
		depthFunc equal
	}
}

textures/taumafort_trim/trim05
{
	qer_editorimage textures/taumafort_shaderiser/trim05.jpg
	surfaceparm alphashadow
	surfaceparm trans
	cull none

	{	//GLASS BORDER
		map textures/taumafort_shaderiser/trim05.jpg
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		rgbGen identity
		rgbGen const ( 1.0 1.0 1.0 )
		depthwrite
	}

	{	//LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
		depthFunc equal
	}
}

//Yellow Flame Side
textures/taumafort_sfx/flame1
{	
		surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm trans
		cull none
		q3map_surfacelight 6500
		qer_editorimage textures/taumafort_shaderiser/flame1.jpg

	{
		animMap 10 textures/taumafort_shaderiser/flame1.jpg textures/taumafort_shaderiser/flame2.jpg textures/taumafort_shaderiser/flame3.jpg textures/taumafort_shaderiser/flame4.jpg textures/taumafort_shaderiser/flame5.jpg textures/taumafort_shaderiser/flame6.jpg textures/taumafort_shaderiser/flame7.jpg textures/taumafort_shaderiser/flame8.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/taumafort_shaderiser/flame2.jpg textures/taumafort_shaderiser/flame3.jpg textures/taumafort_shaderiser/flame4.jpg textures/taumafort_shaderiser/flame5.jpg textures/taumafort_shaderiser/flame6.jpg textures/taumafort_shaderiser/flame7.jpg textures/taumafort_shaderiser/flame8.jpg textures/taumafort_shaderiser/flame1.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	

	{
		map textures/taumafort_shaderiser/flameball.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

//skybox nectar 7
//---------------------------------------------
textures/taumafort_other/sky/nectar05
{
	qer_editorimage textures/taumafort_other/sky/nectar5_ft.jpg //l'images associer au fichier skybox dans GTK
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/taumafort_other/sky/nectar5_ft.jpg
	q3map_sun 1.00 0.949 0.977 150 135 45	
	q3map_skylight 250 3
	q3map_globaltexture
	skyParms textures/taumafort_other/sky/nectar5 768 - //fichiers jpg de la skybox
}

//metal
//---------------------------------------------
textures/taumafort_metal/metal127
{	qer_editorimage textures/taumafort_shaderiser/metal127.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	{	//GLASS BORDER
		map textures/taumafort_shaderiser/metal127.tga
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		rgbGen identity
		rgbGen const ( 1.0 1.0 1.0 )
		depthwrite
	}

	{	//LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
		depthFunc equal
	}
}

//decals
textures/taumafort_decals/keres4_decal01
{
	qer_editorimage textures/taumafort_shaderiser/keres4_decal01.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/taumafort_shaderiser/keres4_decal01.tga
		blendfunc gl_dst_color gl_src_color
	}
}

//Checkpoints
//---------------------------------------------
textures/taumafort_other/nextcheckpoint
{
	qer_editorimage textures/taumafort_other/img/checkpoint.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps

	{	//GLASS BORDER
		map textures/taumafort_other/img/checkpoint.tga
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		rgbGen identity
		rgbGen const ( 1.0 1.0 1.0 )
		depthwrite
	}

	// {	//LIGHTMAP
		// map $lightmap
		// rgbGen identity
		// blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
		// depthFunc equal
	// }
}

//Checkpoints
//---------------------------------------------
textures/taumafort_other/finalcheckpoint
{
	qer_editorimage textures/taumafort_other/img/checkpoint_final.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps

	{	//GLASS BORDER
		map textures/taumafort_other/img/checkpoint_final.tga
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		rgbGen identity
		rgbGen const ( 1.0 1.0 1.0 )
		depthwrite
	}

	// {	//LIGHTMAP
		// map $lightmap
		// rgbGen identity
		// blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
		// depthFunc equal
	// }
}


